# Generated by Django 2.2.9 on 2020-02-26 07:58

from django.db import migrations, models
import django.db.models.deletion
import trunk.utils


class Migration(migrations.Migration):

    dependencies = [
        ('trunk', '0123_merge_20200217_0804'),
    ]

    operations = [
        migrations.AddField(
            model_name='universitystyle',
            name='default_team_mentors_view',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Discovery View'), (1, 'Landing Page View')], default=0),
        ),
        migrations.AddField(
            model_name='universitystyle',
            name='display_team_mentors',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Discovery and Landing Page'), (1, 'Discovery View'), (2, 'Landing Page View')], default=1),
        ),
        migrations.CreateModel(
            name='TeamLandingPage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500)),
                ('description', models.TextField()),
                ('image', models.ImageField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_team_landing_image_url)),
                ('university', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='trunk.University')),
            ],
        ),
    ]
